﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace sou_01_interaktivni {
    class GameBoardRow {
        public GameBoardRow() {
            tiles = new List<GameBoardTile>();
            for (int i = 0; i < 8; i++) {
                tiles.Add(new GameBoardTile());
            }
        }
        public List<GameBoardTile> tiles { get; set; }

        public List<int> next { get; set; }

        public void addNext(string text) {
            List<int> toAdd = new List<int>();
            foreach (char c in text) {
                int value;
                Int32.TryParse(c.ToString(), out value);
                toAdd.Add(value);
            }
            next = toAdd;
        }
        public int getNext() {
            int ret = next.First();
            next.RemoveAt(0);
            next.Add(ret);
            return ret;
        }

        public Color getNextPreview() {
            switch (next.First()) {
                case 1:
                    return Color.Red;
                case 2:
                    return Color.Green;
                case 3:
                    return Color.Blue;
                case 4:
                    return Color.White;
                case 5:
                    return Color.Yellow;
                case 6:
                    return Color.Purple;
                default:
                    return Color.Black;
            }
        }
    }
}
